/*
** Copyright (C) Red Hat, Inc. 2005-2008
**
** This program is free software; you can redistribute it and/or modify it
** under the terms of the GNU General Public License version 2 as
** published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
** General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; see the file COPYING. If not, write to the
** Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
** MA 02139, USA.
*/

/*
 * Author: Stanko Kupcevic <kupcevic@redhat.com>
 */

#include "Fence.h"
#include "utils.h"

using namespace std;

#define FENCE_NODE_TOOL_PATH	"/sbin/fence_node"

void
Fence::fence_node(const String& nodename)
{
	String out, err;
	int status;
	vector<String> args;

	args.push_back("-O");
	args.push_back(nodename);

	if (utils::execute(FENCE_NODE_TOOL_PATH, args, out, err, status, false))
		throw command_not_found_error_msg(FENCE_NODE_TOOL_PATH);

	if (status != 0)
		throw String("fence_node failed: ") + err;
}
